Create user export

Generate a User export

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

🚧

WARNING

The URL for Care Analytics depends on your regional location. Please refer to the Analytics Reports API Reference Overview for more information.

Runs a User export. See Analytics Reports API quickstart for more details.

👍

Tip

We also support a GET version of this endpoint; however, POST is the recommended method. If you choose to use the GET method, pass all data as query parameters.

👍

Tip

For POST method, you must pass the body parameters as x-www-form-urlencoded.

🚧

Important

The following columns are returned only when the export is generated in JSON:

  • TOTAL_CONSOLE_LOGGED_IN_TIME_MILLIS
  • TOTAL_GREEN_STATE_TIME_MILLIS
  • TOTAL_YELLOW_STATE_TIME_MILLIS
  • TOTAL_RED_STATE_TIME_MILLIS
  • TOTAL_MOBILE_TIME_MILLIS

These columns provide time values in milliseconds (datatype String) in order to provide the values in a format that is more convenient for calculations.

All fields in exports are of the datatype String and have a field length of unbounded. Times will be formatted per the Company setting OR the Locale that the user specifies when running the export.

All arguments are case-sensitive.

The workflowId and the runId in the response are unique IDs specific to this export job. The IDs are used by the /reports/report/workflowId/runId/status and /reports/report/workflowId/runId/download endpoints to check the status of an export job and to download it.

Make a GET request to the /reports/report/<workflowId>/<runId>/status endpoint as shown in the statusUrl field to check the status of the job. When the result.runnerState is CLOSED and result.detail is COMPLETED in the response to /reports/report/<workflowId>/<runId>/status, you are ready to run the endpoint in the downloadUrl. An empty value for downloadUrl indicates that the export has not ready.

Make a GET request to the /reports/report/workflowId/runId/download endpoint as shown in the downloadUrl field to download the export locally.

See Using timezone with timezoneOffset when making a request with these parameters.

See Using reportMetrics to learn how to specify a limited set of columns to return in the export.

Query Params
string
required

The company key found in Account Admin > General Settings > Analytics API Settings.

Body Params
string

The ID of the agent. Use a separate instance of the agentId parameter for each agent to include. Example: ?agentId=1&agent=2&agentId=3. See Using agentId with teamId for more details.

string
required

The end time in epoch milliseconds. This value will not be adjusted. This parameter only affects the "Total Time" data.

boolean
Defaults to false

Whether or not to include disabled agents in the report. Default is false.

string

The locale to use for the export. Supported values: en, es, fr, de, tr

string
Defaults to json

The format of the export. Possible values: json or csv. Default is json.

string

Added December 2018. Use reportMetrics to return specific metrics (columns) in the export. You can use this to return a subset of metrics and also to return metrics currently disabled for your company. Use a separate reportMetrics query parameter for each metric desired.

Example: reportMetrics=agent_name&reportMetrics=agent_email&reportMetrics=agent_id

string
required

The start time in epoch milliseconds. This value will not be adjusted. This parameter only affects the "Total Time" data.

string

The ID of the team used to filter the export. Find the team ID with the /teams endpoint. Example: ?teamId=1&teamId=2&teamId=3

Response

Language
LoadingLoading…
Response
Choose an example:
application/json